/*
* @license Apache-2.0
*
* Copyright (c) 2022 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

// TypeScript Version: 2.0

/// <reference types="@stdlib/types"/>

import { SignedIntegerDataType as DataType } from '@stdlib/types/array';

/**
* Returns a list of typed array signed integer data types.
*
* @returns list of typed array signed integer data types
*
* @example
* var list = dtypes();
* // e.g., returns [ 'int16', 'int32', 'int8' ]
*/
declare function dtypes(): Array<DataType>;


// EXPORTS //

export = dtypes;
